| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Static Public Attributes | Protected Attributes | Friends
AAX_CString Class Reference

`#include <AAX_CString.h>`

Inheritance diagram for AAX_CString:
[legend]
Collaboration diagram for AAX_CString:
[legend]

## Description

A generic AAX string class with similar functionality to `std::string`

## Public Member Functions
uint32_t | Length () const AAX_OVERRIDE
uint32_t | MaxLength () const AAX_OVERRIDE
const char * | Get () const AAX_OVERRIDE
void | Set (const char *iString) AAX_OVERRIDE
AAX_IString & | operator= (const AAX_IString &iOther) AAX_OVERRIDE
AAX_IString & | operator= (const char *iString) AAX_OVERRIDE
| AAX_CString ()
| AAX_CString (const char *str)
| AAX_CString (const std::string &str)
| AAX_CString (const AAX_CString &other)
| AAX_CString (const AAX_IString &other)
| AAX_DEFAULT_MOVE_CTOR (AAX_CString)
std::string & | StdString ()
const std::string & | StdString () const
AAX_CString & | operator= (const AAX_CString &other)
AAX_CString & | operator= (const std::string &other)
AAX_CString & | operator= (AAX_CString &&other)
void | Clear ()
bool | Empty () const
AAX_CString & | Erase (uint32_t pos, uint32_t n)
AAX_CString & | Append (const AAX_CString &str)
AAX_CString & | Append (const char *str)
AAX_CString & | AppendNumber (double number, int32_t precision)
AAX_CString & | AppendNumber (int32_t number)
AAX_CString & | AppendHex (int32_t number, int32_t width)
AAX_CString & | Insert (uint32_t pos, const AAX_CString &str)
AAX_CString & | Insert (uint32_t pos, const char *str)
AAX_CString & | InsertNumber (uint32_t pos, double number, int32_t precision)
AAX_CString & | InsertNumber (uint32_t pos, int32_t number)
AAX_CString & | InsertHex (uint32_t pos, int32_t number, int32_t width)
AAX_CString & | Replace (uint32_t pos, uint32_t n, const AAX_CString &str)
AAX_CString & | Replace (uint32_t pos, uint32_t n, const char *str)
uint32_t | FindFirst (const AAX_CString &findStr) const
uint32_t | FindFirst (const char *findStr) const
uint32_t | FindFirst (char findChar) const
uint32_t | FindLast (const AAX_CString &findStr) const
uint32_t | FindLast (const char *findStr) const
uint32_t | FindLast (char findChar) const
const char * | CString () const
bool | ToDouble (double *oValue) const
bool | ToInteger (int32_t *oValue) const
void | SubString (uint32_t pos, uint32_t n, AAX_IString *outputStr) const
bool | Equals (const AAX_CString &other) const
bool | Equals (const char *other) const
bool | Equals (const std::string &other) const
bool | operator== (const AAX_CString &other) const
bool | operator== (const char *otherStr) const
bool | operator== (const std::string &otherStr) const
bool | operator!= (const AAX_CString &other) const
bool | operator!= (const char *otherStr) const
bool | operator!= (const std::string &otherStr) const
bool | operator< (const AAX_CString &other) const
bool | operator> (const AAX_CString &other) const
const char & | operator[] (uint32_t index) const
char & | operator[] (uint32_t index)
AAX_CString & | operator+= (const AAX_CString &str)
AAX_CString & | operator+= (const std::string &str)
AAX_CString & | operator+= (const char *str)
Public Member Functions inherited from AAX_IString
virtual | ~AAX_IString ()
virtual uint32_t | Length () const =0
virtual uint32_t | MaxLength () const =0
virtual const char * | Get () const =0
virtual void | Set (const char *iString)=0
virtual AAX_IString & | operator= (const AAX_IString &iOther)=0
virtual AAX_IString & | operator= (const char *iString)=0

## Static Public Attributes
static const uint32_t | kInvalidIndex = static_cast<uint32_t>(-1)
static const uint32_t | kMaxStringLength = static_cast<uint32_t>(-2)

## Protected Attributes
std::string | mString

## Friends
std::ostream & | operator<< (std::ostream &os, const AAX_CString &str)
std::istream & | operator>> (std::istream &os, AAX_CString &str)

## Constructor & Destructor Documentation

## ◆ AAX_CString() [1/5]

AAX_CString::AAX_CString | ( |  | ) |

Constructs an empty string.

## ◆ AAX_CString() [2/5]

AAX_CString::AAX_CString | ( | const char * | str | ) |

Implicit conversion constructor: Constructs a string with a const char* pointer to copy.

## ◆ AAX_CString() [3/5]

AAX_CString::AAX_CString | ( | const std::string & | str | ) |
| explicit

Copy constructor: Constructs a string from a std::string. Beware of STL variations across various binaries.

## ◆ AAX_CString() [4/5]

AAX_CString::AAX_CString | ( | const AAX_CString & | other | ) |

Copy constructor: Constructs a string with another concrete AAX_CString.

## ◆ AAX_CString() [5/5]

AAX_CString::AAX_CString | ( | const AAX_IString & | other | ) |

Copy constructor: Constructs a string from another string that meets the AAX_IString interface.

## Member Function Documentation

## ◆ Length()

uint32_t AAX_CString::Length | ( |  | ) | const
| virtual

Length methods

Implements AAX_IString.

Referenced by AAX_CBinaryDisplayDelegate< T >::AAX_CBinaryDisplayDelegate(), AAX_CStringAbbreviations::Add(), AAX_CStringAbbreviations::Get(), AAX_CDecibelDisplayDelegateDecorator< T >::StringToValue(), AAX_CPercentDisplayDelegateDecorator< T >::StringToValue(), AAX_CUnitDisplayDelegateDecorator< T >::StringToValue(), AAX_CUnitPrefixDisplayDelegateDecorator< T >::StringToValue(), AAX_CDecibelDisplayDelegateDecorator< T >::ValueToString(), AAX_CNumberDisplayDelegate< T, Precision, SpaceAfter >::ValueToString(), and AAX_CUnitDisplayDelegateDecorator< T >::ValueToString().

Here is the caller graph for this function:

## ◆ MaxLength()

uint32_t AAX_CString::MaxLength | ( |  | ) | const
| virtual

Implements AAX_IString.

## ◆ Get()

const char * AAX_CString::Get | ( |  | ) | const
| virtual

C string methods

Implements AAX_IString.

Referenced by AAX::CopyPageTable(), AAX::PageTableParameterNameVariationsAreEqual(), and AAX_CParameter< T >::ShortenedName().

Here is the caller graph for this function:

## ◆ Set()

void AAX_CString::Set | ( | const char * | iString | ) |
| virtual

Implements AAX_IString.

## ◆ operator=() [1/5]

AAX_IString & AAX_CString::operator= | ( | const AAX_IString & | iOther | ) |
| virtual

Assignment operators

Implements AAX_IString.

## ◆ operator=() [2/5]

AAX_IString & AAX_CString::operator= | ( | const char * | iString | ) |
| virtual

Implements AAX_IString.

## ◆ AAX_DEFAULT_MOVE_CTOR()

AAX_CString::AAX_DEFAULT_MOVE_CTOR | ( | AAX_CString |  | ) |

Default move constructor

## ◆ StdString() [1/2]

std::string & AAX_CString::StdString | ( |  | ) |

Direct access to a std::string.

## ◆ StdString() [2/2]

const std::string & AAX_CString::StdString | ( |  | ) | const

Direct access to a const std::string.

## ◆ operator=() [3/5]

AAX_CString & AAX_CString::operator= | ( | const AAX_CString & | other | ) |

Assignment operator from another AAX_CString

## ◆ operator=() [4/5]

AAX_CString & AAX_CString::operator= | ( | const std::string & | other | ) |

Assignment operator from a std::string. Beware of STL variations across various binaries.

## ◆ operator=() [5/5]

AAX_CString & AAX_CString::operator= | ( | AAX_CString && | other | ) |

Move operator

## ◆ Clear()

void AAX_CString::Clear | ( |  | ) |

Referenced by AAX_CNumberDisplayDelegate< T, Precision, SpaceAfter >::ValueToString().

Here is the caller graph for this function:

## ◆ Empty()

bool AAX_CString::Empty | ( |  | ) | const

## ◆ Erase()

AAX_CString & AAX_CString::Erase | ( | uint32_t | pos,
|  | uint32_t | n
| ) |  |

Referenced by AAX_CUnitPrefixDisplayDelegateDecorator< T >::StringToValue(), and AAX_CNumberDisplayDelegate< T, Precision, SpaceAfter >::ValueToString().

Here is the caller graph for this function:

## ◆ Append() [1/2]

AAX_CString & AAX_CString::Append | ( | const AAX_CString & | str | ) |

Referenced by AAX_IMIDIMessageInfoDelegate::ToString_AppendByteRange(), AAX_IMIDIMessageInfoDelegate::ToString_AppendCStr(), AAX_CNumberDisplayDelegate< T, Precision, SpaceAfter >::ValueToString(), and AAX_CDecibelDisplayDelegateDecorator< T >::ValueToString().

Here is the caller graph for this function:

## ◆ Append() [2/2]

AAX_CString & AAX_CString::Append | ( | const char * | str | ) |

## ◆ AppendNumber() [1/2]

AAX_CString & AAX_CString::AppendNumber | ( | double | number,
|  | int32_t | precision
| ) |  |

Referenced by AAX_IMIDIMessageInfoDelegate::ToString_AppendNumber(), and AAX_CNumberDisplayDelegate< T, Precision, SpaceAfter >::ValueToString().

Here is the caller graph for this function:

## ◆ AppendNumber() [2/2]

AAX_CString & AAX_CString::AppendNumber | ( | int32_t | number | ) |

## ◆ AppendHex()

AAX_CString & AAX_CString::AppendHex | ( | int32_t | number,
|  | int32_t | width
| ) |  |

Referenced by AAX_IMIDIMessageInfoDelegate::ToString_AppendByteRange().

Here is the caller graph for this function:

## ◆ Insert() [1/2]

AAX_CString & AAX_CString::Insert | ( | uint32_t | pos,
|  | const AAX_CString & | str
| ) |  |

## ◆ Insert() [2/2]

AAX_CString & AAX_CString::Insert | ( | uint32_t | pos,
|  | const char * | str
| ) |  |

## ◆ InsertNumber() [1/2]

AAX_CString & AAX_CString::InsertNumber | ( | uint32_t | pos,
|  | double | number,
|  | int32_t | precision
| ) |  |

## ◆ InsertNumber() [2/2]

AAX_CString & AAX_CString::InsertNumber | ( | uint32_t | pos,
|  | int32_t | number
| ) |  |

## ◆ InsertHex()

AAX_CString & AAX_CString::InsertHex | ( | uint32_t | pos,
|  | int32_t | number,
|  | int32_t | width
| ) |  |

## ◆ Replace() [1/2]

AAX_CString & AAX_CString::Replace | ( | uint32_t | pos,
|  | uint32_t | n,
|  | const AAX_CString & | str
| ) |  |

## ◆ Replace() [2/2]

AAX_CString & AAX_CString::Replace | ( | uint32_t | pos,
|  | uint32_t | n,
|  | const char * | str
| ) |  |

## ◆ FindFirst() [1/3]

uint32_t AAX_CString::FindFirst | ( | const AAX_CString & | findStr | ) | const

## ◆ FindFirst() [2/3]

uint32_t AAX_CString::FindFirst | ( | const char * | findStr | ) | const

## ◆ FindFirst() [3/3]

uint32_t AAX_CString::FindFirst | ( | char | findChar | ) | const

## ◆ FindLast() [1/3]

uint32_t AAX_CString::FindLast | ( | const AAX_CString & | findStr | ) | const

## ◆ FindLast() [2/3]

uint32_t AAX_CString::FindLast | ( | const char * | findStr | ) | const

## ◆ FindLast() [3/3]

uint32_t AAX_CString::FindLast | ( | char | findChar | ) | const

## ◆ CString()

const char * AAX_CString::CString | ( |  | ) | const

Referenced by AAX::CopyPageTable(), and AAX_CStatelessParameter::Identifier().

Here is the caller graph for this function:

## ◆ ToDouble()

bool AAX_CString::ToDouble | ( | double * | oValue | ) | const

Referenced by AAX_CNumberDisplayDelegate< T, Precision, SpaceAfter >::StringToValue().

Here is the caller graph for this function:

## ◆ ToInteger()

bool AAX_CString::ToInteger | ( | int32_t * | oValue | ) | const

## ◆ SubString()

void AAX_CString::SubString | ( | uint32_t | pos,
|  | uint32_t | n,
|  | AAX_IString * | outputStr
| ) |  | const

Referenced by AAX_CDecibelDisplayDelegateDecorator< T >::StringToValue(), AAX_CPercentDisplayDelegateDecorator< T >::StringToValue(), and AAX_CUnitDisplayDelegateDecorator< T >::StringToValue().

Here is the caller graph for this function:

## ◆ Equals() [1/3]

bool AAX_CString::Equals | ( | const AAX_CString & | other | ) | const
| inline

References operator==().

Here is the call graph for this function:

## ◆ Equals() [2/3]

bool AAX_CString::Equals | ( | const char * | other | ) | const
| inline

References operator==().

Here is the call graph for this function:

## ◆ Equals() [3/3]

bool AAX_CString::Equals | ( | const std::string & | other | ) | const
| inline

References operator==().

Here is the call graph for this function:

## ◆ operator==() [1/3]

bool AAX_CString::operator== | ( | const AAX_CString & | other | ) | const

Referenced by Equals().

Here is the caller graph for this function:

## ◆ operator==() [2/3]

bool AAX_CString::operator== | ( | const char * | otherStr | ) | const

## ◆ operator==() [3/3]

bool AAX_CString::operator== | ( | const std::string & | otherStr | ) | const

## ◆ operator!=() [1/3]

bool AAX_CString::operator!= | ( | const AAX_CString & | other | ) | const

## ◆ operator!=() [2/3]

bool AAX_CString::operator!= | ( | const char * | otherStr | ) | const

## ◆ operator!=() [3/3]

bool AAX_CString::operator!= | ( | const std::string & | otherStr | ) | const

## ◆ operator<()

bool AAX_CString::operator< | ( | const AAX_CString & | other | ) | const

## ◆ operator>()

bool AAX_CString::operator> | ( | const AAX_CString & | other | ) | const

## ◆ operator[]() [1/2]

const char & AAX_CString::operator[] | ( | uint32_t | index | ) | const

## ◆ operator[]() [2/2]

char & AAX_CString::operator[] | ( | uint32_t | index | ) |

## ◆ operator+=() [1/3]

AAX_CString & AAX_CString::operator+= | ( | const AAX_CString & | str | ) |

## ◆ operator+=() [2/3]

AAX_CString & AAX_CString::operator+= | ( | const std::string & | str | ) |

## ◆ operator+=() [3/3]

AAX_CString & AAX_CString::operator+= | ( | const char * | str | ) |

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const AAX_CString & | str
| ) |  |
| friend

output stream operator for concrete AAX_CString

## ◆ operator>>

std::istream & operator>> | ( | std::istream & | os,
|  | AAX_CString & | str
| ) |  |
| friend

input stream operator for concrete AAX_CString

## Member Data Documentation

## ◆ kInvalidIndex

const uint32_t AAX_CString::kInvalidIndex = static_cast<uint32_t>(-1)
| static

## ◆ kMaxStringLength

const uint32_t AAX_CString::kMaxStringLength = static_cast<uint32_t>(-2)
| static

## ◆ mString

std::string AAX_CString::mString
| protected

The documentation for this class was generated from the following file:

- AAX_CString.h